Bug 1734801 - Wrong description of api-int DNS requirement
Summary: Wrong description of api-int DNS requirement
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 13:40 UTC by Jan Zmeskal
Modified: 2020-05-18 06:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 06:56:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Zmeskal 2019-07-31 13:40:50 UTC
Document URL: 
https://docs.openshift.com/container-platform/4.1/installing/installing_bare_metal/installing-bare-metal.html#installation-dns-user-infra_installing-bare-metal

Section Number and Name: 
User-provisioned DNS requirements

Describe the issue: 
In the aforementioned section, this is said about api-int.<cluster_name>.<base_domain> DNS record: 
"This DNS record must point to the load balancer for the control plane machines." However, as far as I can tell, queries to api-int.<cluster_name>.<base_domain> are made by master and worker node during their ignition phase. When ignition runs on masters and workers, they expect to be served additional ignition content at api-int.<cluster_name>.<base_domain>:22623. This additional ignition content is however server by bootstrap node.

Suggestions for improvement: 
Readers should understand that the api-int.<cluster_name>.<base_domain> must point to bootstrap node or that the loadbalancer must forward requests for ignition content to bootstrap node.

Comment 1 Jan Zmeskal 2019-08-01 10:38:12 UTC
Actually, this maybe not be a bug, maybe just my understanding of this area is incomplete. So I noticed that during the bootstrap phase of OCP installation, master and worker nodes query api-int.<cluster_name>.<base_domain>:22623 for additional ignition content. However then, during later installation stages, some pods query api-int.<cluster_name>.<base_domain>:6443 and at that point, the bootstrap machine does not exist any more. Does that mean that this DNS entry should indeed point to load balancer and the load balancer should forward queries to port 22623 to bootstrap node and queries to port 6443 to control plane?


Note You need to log in before you can comment on or make changes to this bug.